#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *

def python_fu_layer_to_new_image(image, layer):

	active_layer = pdb.gimp_image_get_active_layer(image)
	w = pdb.gimp_drawable_width(active_layer)
	h = pdb.gimp_drawable_height(active_layer)
	
	new_image = pdb.gimp_image_new(w, h, 0)
	display = pdb.gimp_display_new(new_image)
	active = pdb.gimp_layer_new_from_drawable(layer, new_image)
	pdb.gimp_image_insert_layer(new_image, active, None, 0)
	pdb.gimp_image_resize_to_layers(new_image)	# when the source image has layers of different dimensions
	active_new = pdb.gimp_image_get_active_layer(new_image)	
	active_new.name = active_layer.name
########## remove the extension from the layer name ######################################################	
	sourcename = active_layer.name
	if '.' in sourcename:
		split = sourcename.split(".", 1)
		sourcename = split[0]
		active_new.name = sourcename
##########################################################################################################
	pdb.gimp_displays_flush()

register (
	"python_fu_layer_to_new_image",
	"Layer to new image",
	"Layer to new image with deletion in extension layer name (if any). ",
	"MrQ",
	"GPL",
	"2023",
	"Active layer to new image...",
	"*",
	[
	(PF_IMAGE, "image", "x", None),
	(PF_DRAWABLE, "drawable", "y", None),
	],
	[],
	python_fu_layer_to_new_image, menu = "<Image>/Layer"
	)

main()	